<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/admin/common/init.jsp" %>

<%
KBAdminNavigationDisplayContext kbAdminNavigationDisplayContext = new KBAdminNavigationDisplayContext(request, renderRequest, renderResponse);
%>

<div class="knowledge-base-vertical-bar <%= kbAdminNavigationDisplayContext.isProductMenuOpen() ? StringPool.BLANK : "expanded" %>" id="<portlet:namespace />verticalBarId">
	<liferay-portlet:actionURL name="/knowledge_base/move_kb_object" var="moveKBObjectURL" />

	<react:component
		componentId="verticalBarId"
		module="admin/js/components/VerticalBar"
		props='<%=
			HashMapBuilder.<String, Object>put(
				"items", kbAdminNavigationDisplayContext.getVerticalNavigationJSONObjects()
			).put(
				"moveKBObjectURL", moveKBObjectURL
			).put(
				"parentContainerId", liferayPortletResponse.getNamespace() + "verticalBarId"
			).put(
				"productMenuOpen", kbAdminNavigationDisplayContext.isProductMenuOpen()
			).build()
		%>'
	/>
</div>