<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-layout:render-layout-utility-page-entry
	type="<%= LayoutUtilityPageEntryConstants.TYPE_SC_INTERNAL_SERVER_ERROR %>"
>
	<h3 class="alert alert-danger">
		<liferay-ui:message key="internal-server-error" />
	</h3>

	<liferay-ui:message key="an-error-occurred-while-accessing-the-requested-resource" />

	<br /><br />

	<code class="lfr-url-error"><%= statusDisplayContext.getEscapedURL(themeDisplay) %></code>

	<%
	statusDisplayContext.logSessionErrors();
	%>

</liferay-layout:render-layout-utility-page-entry>